Name: libwvstreams
Version: 3.75.0
Release: 2
Summary: WvStreams is a network programming library written in C++.
Source: http://open.nit.ca/download/wvstreams-%{version}.tar.gz
Patch0: libwvstreams-3.69-redhat.patch
Patch1: libwvstreams-3.70-gcc3.patch
Patch2: libwvstreams-3.70-openssl097.patch
Patch3: libwvstreams-3.75.0-gcc34.patch
Patch4: libwvstreams-3.75.0-stringbuf.patch
URL: http://open.nit.ca/wvstreams
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/libwvstreams-root
BuildRequires: openssl-devel, pkgconfig, zlib-devel
License: LGPL

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package devel
Summary: Development files for WvStreams.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.  This package contains the files
needed for developing applications which use WvStreams.

%prep
%setup -q -n wvstreams-%{version}
#%patch0 -p1 -b .redhat
%patch1 -p1 -b .gcc3
#%patch2 -p1 -b .openssl097
%patch3 -p1 -b .gcc34
%patch4 -p1 -b .strbuf

%build
#  --with-fam              FAM
#  --with-fftw             FFTW
#  --with-bdb              Berkeley DB 1.x (or compatible)
#  --with-gdbm             GDBM
#  --with-ogg              Ogg
#  --with-openssl          OpenSSL
#  --with-pam              PAM
#  --with-tcl              Tcl
#  --with-swig             SWIG
#  --with-qt               Qt
#  --with-speex            Speex
#  --with-vorbis           Vorbis
#  --with-xplc             XPLC
#  --with-zlib             zlib

%configure --with-pam --with-openssl --without-fam --without-fftw --without-gdbm --without-pgg --without-tcl --without-swig --without-qt --without-speex --without-vorbis --without-xplc

make COPTS="$RPM_OPT_FLAGS -fPIC" CXXOPTS="$RPM_OPT_FLAGS -fPIC" VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING.LIB README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/wvstreams
%{_libdir}/*.a
%{_libdir}/*.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Wed Jun 28 2004 Harald Hoyer <harald@redhat.com> 3.75.0-2
- added libwvstreams-3.75.0-stringbuf.patch (114996)

* Mon Jun 21 2004 Harald Hoyer <harald@redhat.com> 3.75.0-1
- version 3.75.0

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Oct 10 2003 Nalin Dahyabhai <nalin@redhat.com> 3.70-12
- link libwvstreams shared libs against libcrypt, upon which they depend

* Mon Sep  8 2003 Nalin Dahyabhai <nalin@redhat.com> 3.70-11
- rebuild

* Mon Sep  8 2003 Nalin Dahyabhai <nalin@redhat.com> 3.70-10
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 3.70-7
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- correct an const/not-const type mismatch that breaks compilation with newer
  OpenSSL
- add flags from pkgconfig so that OpenSSL is always found

* Tue Sep 10 2002 Mike A. Harris <mharris@redhat.com> 3.70-6
- use FHS macros for multilib systems

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com>
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com> 3.70-1
- patch to build with gcc 3.x
- build with -fPIC

* Wed Apr 10 2002 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.70

* Wed Mar 27 2002 Nalin Dahyabhai <nalin@redhat.com> 3.69-1
- pull in from upstream tarball

* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com>
- merge the main and -devel packages into one .spec file
- use globbing to shorten the file lists
- don't define name, version, and release as macros (RPM does this by default)
- use the License: tag instead of Copyright: (equivalent at the package level,
  but License: reflects the intent of the tag better)
- use a URL to point to the source of the source tarball
- add BuildRequires: openssl-devel (libwvcrypto uses libcrypto)
- move the buildroot to be under %%{_tmppath}, so that it can be moved by
  altering RPM's configuration

* Tue Jan 29 2002 Patrick Patterson <ppatters@nit.ca>
- Initial Release of WvStreams
